需求 Requirement # 110107 (New): 【Locked需求】总票

【Locked需求】中控与副屏接口联调
2022-10-08 15:06 - 方案组-RD3_CDTS 王浩云

Status: 完成 Closed Start date: 2022-10-08

Priority: Normal Due date: 2022-10-28

Assignee: CD FW-王伟 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

通过接口，实现，中控与副屏的联动

4.1 功能描述及定义

4.1.1 通信方式

1. 采用socket方式连接，以短连接为主

2. 中控与副屏之间通信采用绑定地址与端口的方式(ip:port)，中控的地址为VLAN_04网段，端口号为9999

3. 中控与副屏，在启动完成之后，各自启动一个socket服务端监听对手件的消息

4. .中控与副屏之间通信需要有握手机制，以确定对端合法性，握手消息不加密

5. 中控与副屏的控制通信数据，需要加密，具体加密方式，待中控同步

4.1.2 首次激活

  激活操作在中控侧进行，中控会下发激活指令给到副屏，具体功能需求如下：

  1.  未激活状态：副屏不可使用，且播放由华人运通侧提供的动画资源，进行播放，动画格式为:MP4

  2.  接收到激活信号后，副屏为激活状态，接收信号后，启动【开机引导】，开机引导文件由副屏设计，主要包含的内容如下：

    1. 手势引导动画

    2. 小窗操作动画，包含多任务界面的介绍

    3. 屏保操作动画

    4. 动画格式为MP4 张跃泷 

  3. 首次激活动画，在首次激活后，进行展示，展示结束后，进入launcher界面，后面再次启动副屏，无需激活动画展示

  4. 激活动画展示完毕后，同步保存在设置中，可保存的位置路径为：设置-系统-手势说明（对原有手势部分进行改造）张跃泷

4.1.3 系统语言切换

  1. 路径如下：中控通过以太网下发语言切换指令--->副屏接收指令--->副屏切换语言--->反馈结果

  2. 语言范围：中文/英文

  3. 副屏不支持自己本地单独切换语言

4.1.4 多屏联动

  1. 服务范围：包括car show，沉浸模式，洗车模式

  2. 实现方式：以APK的形式内置，在底层运行，并且调用时注册相关服务

4.1.5 hiphi play功能联动

  1. 中控侧通过语音输入，获取用户是否要熄屏和唤醒屏幕的行为

  2. 中控获取语音后，解析语音内容，然后通过以太网指令传送至副屏，副屏侧完成熄屏，和亮屏的操作

4.1.6 恢复出厂设置

  1. 中控下发恢复出厂设置的指令，副屏接收后，只对数据进行删除

  2. 清除范围：【删除data分区】

  3. 副屏本身的恢复出厂设置功能保留

4.1.7 开机动画（For AF）
1. 在第一阶段开机logo 展示完毕后，进入第二阶段：开机动画，开机动画视频由客户侧提供

2. 开机动画的视频格式为MP4，时长约为30s

3. 在开机动画启动的同时，launcher需要完成启动，及launcher的启动需要在15s内完成

4. 开机动画完成后：

  1. 待激活状态：launcher不可用，展示客户提供的待激活画面的动画，具体参考4.1.2

  2. 已激活状态：进入launcher界面的首页，用户可正常使用

4.2 其他接口相关功能提示

音量调节，背光调节，深色模式，屏保同步，网络信号同步具体需求，请参考《launcher UI需求PRD》4.1.8章节

具体接口内容参考：副本MCE-主副屏需求接口定义&联调计划_20220923

具体PRD链接如下：

https://thundersoft.feishu.cn/docx/doxcnpJynqMqC5C5fLwWif6fewh

Related issues:

Related to Figure - 开发 Dev # 110715: 【MK】【FW】【VehicleData... 完成 Closed 2022-09-29 2022-12-23

History

#1 - 2022-10-08 15:33 - CD FW-王伟

已经创建相关的开发票：

开发 Dev #110715: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】

开发 Dev #112251: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】副驾屏OTA升级

开发 Dev #112252: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】首次购车激活

开发 Dev #112253: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】黑夜/白天模式切换

开发 Dev #112254: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】系统设置

开发 Dev #112255: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】音量调节

开发 Dev #112256: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】亮度调节

开发 Dev #112257: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】恢复出厂设置

开发 Dev #112258: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】网络同步信号

开发 Dev #112260: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】主题 切换

开发 Dev #112261: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】Car show

开发 Dev #112262: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】沉浸模式    

开发 Dev #112264: 【MK】【019】【StatusBar】【TC-RID: 0301-0201801】副驾屏开电话会议

开发 Dev #112265: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】HiPhi P...

开发 Dev #112267: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】洗车模式

开发 Dev #112287: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】运营功能

开发 Dev #112289: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】副驾屏主题UI风格

#2 - 2022-10-08 15:36 - CD FW-王伟

- Status changed from New to 完成 Closed

- % Done changed from 0 to 100

开发任务已经创建，关闭此票。
